Page MenuHomePhabricator

use /etc/network/interfaces.d instead of /etc/network/interfaces
Closed, ResolvedPublic

Description

Use /etc/network/interfaces.d instead of /etc/network/interfaces, so we can get rid of config-package-dev displaceing /etc/network/interfaces.

https://www.whonix.org/wiki/Dev/Build_Documentation/Physical_Isolation instructions would require updating.

Details

Impact
Normal

Event Timeline

Patrick created this task.Jun 9 2015, 10:57 PM
Patrick updated the task description. (Show Details)
Patrick raised the priority of this task from to Normal.
Patrick set Impact to Normal.
Patrick added subscribers: Patrick, HulaHoop, nrgaway, marmarek.

I am currently trying to get rid of this hack:
https://github.com/nrgaway/qubes-template-whonix/blob/be0c1f53cc10a3ccb8628d132da35006225bdff6/whonix-gateway/02_install_groups_pre.sh#L122-L130

Therefore I wanted to implement this ticket right now for next Whonix version.

Wondering... By default, Qubes doesn't use ifupdown at all, right? Would it be fine to avoid installation of ifupdown on Qubes-Whonix? @marmarek

Currently Qubes configures interfaces manually from udev rule. Actually
I think it would be better to move it to some more standard place, for
example to not conflict with NetworkManager (which is currently handled
as a special case) or other network-related tools.
Or at least move it out of udev rule, which is called in quite
unpredictable time (->race conditions). I think it may somehow related
to:
https://github.com/QubesOS/qubes-issues/issues/1067

Anyway currently it should be safe to remove ifupdown. If we'll need
it later (and configure properly), we'll add it do Depends: of needing
package.

Patrick changed the task status from Open to Review.Sep 7 2015, 1:34 PM

use /etc/network/interfaces.d instead of /etc/network/interfaces - https://phabricator.whonix.org/T347:

disabled ifupdown service in Qubes-Whonix, since not required and conflicting with non-Qubes-Whonix /etc/network/interfaces.d/30_non-qubes-whonix:
https://github.com/Whonix/qubes-whonix/commit/520479ed66254f5cd93705ef34336e1c7a4b99ef

no need to replace ip's in /etc/network/interfaces.whonix - https://phabricator.whonix.org/T347:
https://github.com/Whonix/qubes-whonix/commit/b251a4af0a20738446e1cc16bc31d59f52ba7350

Patrick closed this task as Resolved.Nov 19 2015, 8:50 PM
Patrick claimed this task.